Package opennlp.tools.util

## Class FilterObjectStream<S,​T>

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<S,​T>

- Type Parameters:
    `S` - the type of the source/input stream
    `T` - the type of this stream
  All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<T>`
  Direct Known Subclasses:
    `AbstractToSentenceSampleStream`, `ADSentenceStream`, `ChunkSampleStream`, `ChunkSampleStream`, `ConlluLemmaSampleStream`, `ConlluPOSSampleStream`, `ConlluSentenceSampleStream`, `ConlluTokenSampleStream`, `ConllXPOSSampleStream`, `ConstitParseSampleStream`, `DetokenizeSentenceSampleStream`, `DocumentSampleStream`, `EmptyLinePreprocessorStream`, `EventTraceStream`, `FileToByteArraySampleStream`, `FileToStringSampleStream`, `LanguageDetectorSampleStream`, `LemmaSampleStream`, `MascNamedEntitySampleStream`, `MascPOSSampleStream`, `MascSentenceSampleStream`, `MascTokenSampleStream`, `MosesSentenceSampleStream`, `MucNameSampleStream`, `NameSampleCountersStream`, `NameSampleDataStream`, `NameSampleTypeFilter`, `NameToTokenSampleStream`, `OntoNotesNameSampleStream`, `OntoNotesParseSampleStream`, `ParagraphStream`, `ParseSampleStream`, `ParseToPOSSampleStream`, `PosSampleStream`, `POSToTokenSampleStream`, `SegmenterObjectStream`, `SentenceSampleStream`, `TokenSampleStream`, `WhitespaceTokenStream`, `WordTagSampleStream`

      public abstract class FilterObjectStream<S,​T>
      extends Object
      implements ObjectStream<T>

  Abstract base class for filtering `ObjectStream`s.

  Filtering streams take an existing stream and convert its output to something else.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the `ObjectStream` and releases all allocated resources.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.ObjectStream

      `read`

- - ### Method Detail

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<S>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<S>`
      Throws:
        `IOException` - if there is an error during closing the stream